Snap package won't launch in Opensuse 42.3 (canberra-gtk-module)

Reply

Snap package won't launch in Opensuse 42.3 (canberra-gtk-module)

heronsilva
Newbie

Hi there!

I installed the snap package in my opensuse 42.3 system, but it won't launch, presenting the following errors:

 

Gtk-Message: Failed to load module "canberra-gtk-module"
Trace/breakpoint trap (core dumped)

 

 

Snapd version:

 

snap      2.27.6-1.1
snapd     2.27.6-1.1
series    16
opensuse  42.3
kernel    4.4.104-39-default

 

 

Spotify package version:

 

Spotify version 1.0.70.399.g5ffabd56

 

Here is the strace output.

3 Replies

Re: Snap package won't launch in Opensuse 42.3 (canberra-gtk-module)

Troubify
Newbie

Ho Folks,

Same issue here.

 

spotify 1.0.72.117.g6bd7cc73-35

snapd 2.27.6-1.1

opensuse 42.3

 

starting spotify results in a crash before the GUI appears:

 

Gtk-Message: Failed to load module "canberra-gtk-module"
[0318/142836.096808:ERROR:sandbox_linux.cc(344)] InitializeSandbox() called with multiple threads in process gpu-process.
Trace/Breakpoint ausgeloest (Speicherabzug geschrieben)



 

Re: Snap package won't launch in Opensuse 42.3 (canberra-gtk-module)

edika
Newbie

Hello same problem for me on Fedora 27

 

(spotify:6768): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[0411/101820.932593:ERROR:sandbox_linux.cc(375)] InitializeSandbox() called with multiple threads in process gpu-process.

Re: Snap package won't launch in Opensuse 42.3 (canberra-gtk-module)

hatecr3w
Newbie

Works for me despite seeing the same error in the console
What I did additionally to a common installation is I installed the 32-bit versions of all available canberra-gtk* libraries.

SUGGESTED POSTS